summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-02-13 20:03:36 +0000
committer Eric Hameleers <alien@slackware.com>2023-02-13 21:32:54 +0100
commit52ac228489887839cc3e509c21dc80b138bb98ed (patch)
tree1a118787d28b3a3d3204f584b42a0fa92dabba11 /source
parentf548ad5b535b53b3ac01201b4db1ad84b1a571dc (diff)
downloadcurrent-20230213200336.tar.gz
current-20230213200336.tar.xz
Mon Feb 13 20:03:36 UTC 202320230213200336
ap/man-pages-6.03-noarch-1.txz: Upgraded. l/atkmm-2.28.3-x86_64-1.txz: Upgraded. l/cairomm-1.14.4-x86_64-1.txz: Upgraded. l/glibmm-2.66.5-x86_64-1.txz: Upgraded. l/imagemagick-7.1.0_62-x86_64-1.txz: Upgraded. n/nghttp2-1.52.0-x86_64-1.txz: Upgraded. x/util-macros-1.20.0-noarch-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/l/cairomm/cairomm.SlackBuild41
-rwxr-xr-xsource/l/glibmm/glibmm.SlackBuild4
-rw-r--r--source/n/nghttp2/nghttp2.url2
-rw-r--r--source/x/x11/build/util-macros2
4 files changed, 28 insertions, 21 deletions
diff --git a/source/l/cairomm/cairomm.SlackBuild b/source/l/cairomm/cairomm.SlackBuild
index 809d45a42..bde5a4425 100755
--- a/source/l/cairomm/cairomm.SlackBuild
+++ b/source/l/cairomm/cairomm.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2015, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2015, 2018, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cairomm
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -65,7 +65,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
@@ -74,26 +74,33 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
- ./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --enable-static=no \
- --build=$ARCH-slackware-linux || exit 1
-
-make $NUMJOBS libdocdir=/usr/doc/$PKGNAM-$VERSION || make libdocdir=/usr/doc/$PKGNAM-$VERSION || exit 1
-make install libdocdir=/usr/doc/$PKGNAM-$VERSION DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+ --buildtype=release \
+ -Dboost-shared=true \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
AUTHORS COPYING* NEWS README* \
$PKG/usr/doc/$PKGNAM-$VERSION
diff --git a/source/l/glibmm/glibmm.SlackBuild b/source/l/glibmm/glibmm.SlackBuild
index 6299f3426..27c656019 100755
--- a/source/l/glibmm/glibmm.SlackBuild
+++ b/source/l/glibmm/glibmm.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=glibmm
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -101,7 +101,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
rm -rf $PKG/usr/share/doc
-cp -a AUTHORS COPYING* NEWS README* \
+cp -a AUTHORS* COPYING* NEWS* README* \
$PKG/usr/doc/$PKGNAM-$VERSION
# If there's a ChangeLog, installing at least part of the recent history
diff --git a/source/n/nghttp2/nghttp2.url b/source/n/nghttp2/nghttp2.url
index 1b2189f09..760ee3c08 100644
--- a/source/n/nghttp2/nghttp2.url
+++ b/source/n/nghttp2/nghttp2.url
@@ -1,2 +1,2 @@
https://github.com/nghttp2/nghttp2
-https://github.com/nghttp2/nghttp2/releases/download/v1.51.0/nghttp2-1.51.0.tar.xz
+https://github.com/nghttp2/nghttp2/releases/download/v1.52.0/nghttp2-1.52.0.tar.xz
diff --git a/source/x/x11/build/util-macros b/source/x/x11/build/util-macros
index 0cfbf0888..d00491fd7 100644
--- a/source/x/x11/build/util-macros
+++ b/source/x/x11/build/util-macros
@@ -1 +1 @@
-2
+1